This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823902 - cifs: Add rwpidforward mount option [kernel]
cifs: Add rwpidforward mount option [kernel]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Sachin Prabhu
Petr Beňas
:
: 1167970 (view as bug list)
Depends On:
Blocks: 798385
  Show dependency treegraph
 
Reported: 2012-05-22 08:29 EDT by Sachin Prabhu
Modified: 2015-01-04 18:02 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32-298.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 00:56:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2012-05-22 08:29:04 EDT
Backport of the following upstream commits

--
commit 5d9ac7fd32f600f9451ea58abdb07f7ed42e921d
Author: Jeff Layton <jlayton@redhat.com>
Date:   Thu Aug 5 13:58:22 2010 -0400

cifs: clean up error handling in cifs_mknod

Get rid of some nesting and add a label we can goto on error.

Signed-off-by: Jeff Layton <jlayton@redhat.com>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--


--
commit fa2989f4473413a86890066aa3a5676a53b541e4
Author: Pavel Shilovsky <piastry@etersoft.ru>
Date:   Thu May 26 10:01:59 2011 +0400

CIFS: Use pid saved from cifsFileInfo in writepages and set_file_size

We need it to make them work with mandatory locking style because
we can fail in a situation like when kernel need to flush dirty pages
and there is a lock held by a process who opened file.

Signed-off-by: Pavel Shilovsky <piastry@etersoft.ru>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--


--
commit d4ffff1fa9695c5b5c0bf337e208d8833b88ff2d
Author: Pavel Shilovsky <piastry@etersoft.ru>
Date:   Thu May 26 06:02:00 2011 +0000

CIFS: Add rwpidforward mount option

Add rwpidforward mount option that switches on a mode when we forward
pid of a process who opened a file to any read and write operation.

This can prevent applications like WINE from failing on read or write
operation on a previously locked file region from the same netfd from
another process if we use mandatory brlock style.

It is actual for WINE because during a run of WINE program two processes
work on the same netfd - share the same file struct between several VFS
fds:
1) WINE-server does open and lock;
2) WINE-application does read and write.

Signed-off-by: Pavel Shilovsky <piastry@etersoft.ru>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--
Comment 3 RHEL Product and Program Management 2012-07-27 12:40:41 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Jian Li 2012-08-01 02:07:22 EDT
regression test are needed, especially rwpidforward option.
Comment 5 Jarod Wilson 2012-08-16 17:22:21 EDT
Patch(es) available on kernel-2.6.32-298.el6
Comment 11 Petr Beňas 2012-11-14 12:02:54 EST
Reproduced in 2.6.32-296.el6.x86_64 and verified in 2.6.32-297.el6.x86_64.
Comment 13 errata-xmlrpc 2013-02-21 00:56:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html
Comment 14 Rodrigo A B Freire 2014-11-28 14:00:39 EST
*** Bug 1167970 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.